Bug 121013 - Mounting a jfs filesystem causes kernel panic
Mounting a jfs filesystem causes kernel panic
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-16 03:45 EDT by Robert Scheck
Modified: 2013-03-06 00:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-20 11:34:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-04-16 03:45:47 EDT
Description of problem:
I created a partition with jfs filesystem (worked fine) and then I 
tried to mount it (mount -t jfs /dev/sdf1 /test) - and I got a 
kernel panic:

--- snipp ---
f6  : 1003e00000000000ac380 f7  : 1003e6db6db6db6db6db7
f8  : 100008000000000000000 f9  : 10002a000000000000000
r1  : e000000004cf5760 r2  : 0000000000000000 r3  : e0000000048a5bf5
r8  : 0000000000000000 r9  : 0000000000000000 r10 : 0000000000000000
r11 : 0000000000000a98 r12 : e00000012b5e7de0 r13 : e00000012b5e0000
r14 : e00000012aa6e838 r15 : 0000000000000008 r16 : e000000004b016b0
r17 : e0000017212fbc90 r18 : e000000137c0c398 r19 : e000000004a8c400
r20 : ffffffffffa2aa2b r21 : e000000004a8e780 r22 : 0000000000000038
r23 : e000000136aa8bb0 r24 : e000000136aa8bb8 r25 : e000000136aa8b90
r26 : 000000000000005a r27 : e00000012b5e1558 r28 : 0000000000000000
r29 : 0000000000000001 r30 : 0000000000000005 r31 : 0000000000000894

Call Trace: [<e000000004414910>] sp=0xe00000012b5e7960 bsp=0xe00000012b5e13b8
decoded to show_stack [kernel] 0x50
[<e000000004415140>] sp=0xe00000012b5e7b20 bsp=0xe00000012b5e1360
decoded to show_regs [kernel] 0x7c0
[<e00000000442f990>] sp=0xe00000012b5e7b40 bsp=0xe00000012b5e1338
decoded to die [kernel] 0x190
[<e00000000442fa60>] sp=0xe00000012b5e7b40 bsp=0xe00000012b5e1310
decoded to die_if_kernel [kernel] 0x40
[<e000000004431220>] sp=0xe00000012b5e7b40 bsp=0xe00000012b5e12d8
decoded to ia64_fault [kernel] 0xa20
 <0>Kernel panic: not continuing
--- snapp ---

Version-Release number of selected component (if applicable):
kernel-2.4.18-e.41
jfsutils-1.1.4-1

How reproducible:
Every time

Steps to Reproduce:
1. Create a partition with jfs filesystem
2. Try to mount it
3. Get the crash
  
Expected results:
I still want mount a jfs filesystem without a kernel panic ;-)
Comment 1 Suzanne Hillman 2004-04-20 11:34:08 EDT
jfs is included only as a convenience, and is not supported.

Note You need to log in before you can comment on or make changes to this bug.